/**
* Copyright (C) 2004-2005 Pantelis Frangoudis, Elias Efstathiou
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

package P2PWNC;

/**
 * This class represents a byte array together with its length. It is being used internally in
 * Base-64 operations, mainly as a return value.
 *
 * @author Pantelis Frangoudis
 * @author Elias Efstathiou
 * @version 0.0.1
 */
public class B64Data {
    /**
     * The byte array holding the actual data.
     */
    protected byte[] data;
    /**
     * Length of the data  byte array.
     */
    protected int datalen;

    /**
     * Constructs a new B64Data object.
     * @param data byte[]
     * The "data" contents.
     * @param datalen int
     * The lenght of the data.
     */
    public B64Data(byte [] data, int datalen) {
      this.data = data;
      this.datalen = datalen;
    }

    /**
     * Returns the "data" field.
     * @return byte[]
     */
    public byte[] getData() {
      return this.data;
    }

    /**
     * Returns the "datalen" field.
     * @return int
     */
    public int getDatalen() {
      return this.datalen;
    }

    /**
     * Sets the object's "data" field to "data"
     * @param data byte[]
     */
    public void setData(byte [] data) {
      this.data = data;
    }

    /**
     * Sets the object's "datalen" field to "datalen"
     * @param datalen int
     */
    public void setDatalen(int datalen) {
      this.datalen = datalen;
    }
}
